
// PIC16F887 Configuration Bit Settings

// 'C' source line config statements

// CONFIG1
#pragma config FOSC = HS        // Oscillator Selection bits (HS oscillator: High-speed crystal/resonator on RA6/OSC2/CLKOUT and RA7/OSC1/CLKIN)
#pragma config WDTE = OFF       // Watchdog Timer Enable bit (WDT disabled and can be enabled by SWDTEN bit of the WDTCON register)
#pragma config PWRTE = OFF      // Power-up Timer Enable bit (PWRT disabled)
#pragma config MCLRE = ON       // RE3/MCLR pin function select bit (RE3/MCLR pin function is MCLR)
#pragma config CP = OFF         // Code Protection bit (Program memory code protection is disabled)
#pragma config CPD = OFF        // Data Code Protection bit (Data memory code protection is disabled)
#pragma config BOREN = OFF      // Brown Out Reset Selection bits (BOR disabled)
#pragma config IESO = OFF       // Internal External Switchover bit (Internal/External Switchover mode is disabled)
#pragma config FCMEN = OFF      // Fail-Safe Clock Monitor Enabled bit (Fail-Safe Clock Monitor is disabled)
#pragma config LVP = OFF        // Low Voltage Programming Enable bit (RB3 pin has digital I/O, HV on MCLR must be used for programming)

// CONFIG2
#pragma config BOR4V = BOR40V   // Brown-out Reset Selection bit (Brown-out Reset set to 4.0V)
#pragma config WRT = OFF        // Flash Program Memory Self Write Enable bits (Write protection off)

// #pragma config statements should precede project file includes.
// Use project enums instead of #define for ON and OFF.

#include <xc.h>
#define _XTAL_FREQ 12000000

void main(void) {
    int dato = 0;
    ANSEL = 0x00;
    ANSELH = 0x00;
    TRISB = 0x00;
    TRISC = 0x00;
    SPBRG = 0x13;   //Configurar la tasa de baudios
    TXSTAbits.BRGH = 0;     //Baja velocidad
    BAUDCTLbits.BRG16 = 0;  //Generador de baudios a 8 bits
    TXSTAbits.SYNC = 0;     //Transmisin asncrona
    RCSTAbits.CREN = 1;     //Habilito el receptor
    RCSTAbits.SPEN = 1;     //HAbilito el puerto serial
    TXSTAbits.TXEN = 1;     //Habilito la transmisin
    while(1){
        if (PIR1bits.RCIF == 1){
            dato = RCREG;
            if (dato == 'c'){
                PORTBbits.RB1 = 1;
            }
            else{
                PORTBbits.RB1 = 0;
            }
        }
        
    }
    return;
}
